.chat-message[data-message-id] {
	&.has-lil-tooltip {
		position: relative;
	}

	.lil-card-tooltip {
		position: fixed;
		top: calc(var(--p-top) * 1px);
		left: calc((var(--p-left) - var(--width) - 6) * 1px);

		min-width: min-content;

		background-color: #322e2e;
		color: whitesmoke;
		border-color: gray;

		.value {
			color: gold;

			.hint {
				color: coral;
			}
		}

		border-top-right-radius: 0;

		.preformatted {
			white-space: pre;
		}

		ul.details {
			list-style: none;
			padding: 0;
			margin: 0;

			display: grid;
			grid-template-columns: 1fr min-content;
			grid-template-rows: min-content;
			gap: 3px;

			li {
				display: contents;

				.name,
				time.value {
					white-space: nowrap;
				}
			}

			hr {
				margin: 0px;
				border: none;
				border-bottom: 1px solid black;
			}

			.span-2 {
				grid-column: span 2;
			}

			> .property-group-tags {
				display: flex;
				flex-direction: column;

				> h3 {
					flex: 0;
					margin: 0.3rem 0;
				}

				.tags {
					flex: 0;

					display: flex;
					flex-flow: wrap;
					flex-direction: row;
					gap: 1px 2px;
					max-width: fit-content;

					> .tag {
						border: 1px solid hsl(0deg 6% 56%);
						border-top: unset;
						border-left: unset;
						border-radius: 5px;
						padding: 0 2px;

						color: hsl(42deg 100% 50%);
					}
				}
			}
		}
	}
}
